Update items mapping
curl --request POST \
--url https://app.getswipe.in/api/partner/v1/product/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item_mapping": [
{
"item_id": "<string>",
"swipe_id": "1",
"force_update": true
}
]
}
'import requests
url = "https://app.getswipe.in/api/partner/v1/product/list"
payload = { "item_mapping": [
{
"item_id": "<string>",
"swipe_id": "1",
"force_update": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item_mapping: [{item_id: '<string>', swipe_id: '1', force_update: true}]})
};
fetch('https://app.getswipe.in/api/partner/v1/product/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Product added successfully"
}{
"success": false,
"error_code": "INVALID_PRODUCT_ID",
"message": "Error Message",
"errors": "List of errors"
}{
"success": false,
"error_code": "INVALID_PRODUCT_ID",
"message": "Error Message",
"errors": "List of errors"
}{
"success": false,
"item_mapping": [
{
"item_id": "<string>",
"swipe_id": "1",
"force_update": true
}
],
"duplicate_item_ids": [
{
"item_id": "<string>",
"swipe_id": "1",
"force_update": true
}
],
"duplicate_swipe_ids": [
{
"item_id": "<string>",
"swipe_id": "1",
"force_update": true
}
],
"not_found_swipe_ids": [
{
"item_id": "<string>",
"swipe_id": "1",
"force_update": true
}
],
"message": "Item ID already mapped !"
}{
"success": false,
"error_code": "INVALID_PRODUCT_ID",
"message": "Error Message",
"errors": "List of errors"
}Product
Update items mapping
POST
/
v1
/
product
/
list
Update items mapping
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Body
application/json
Show child attributes
Show child attributes
⌘I